# Organization create

`POST /Organization`

This resource defines a group of individuals or clinicians that form an organization of some kind. An organization record may consist of multiple organizations, like an umbrella healthcare organization with multiple physical locations. 

You can review, retrieve, create, update, or delete organization records. The create and update options are available for organizations within the Carequality Interoperability Network as well.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### create

Create a new Carequality organization record. 

## Request body

Create new Organization

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `active` | boolean | Yes | Whether the organization's record is still in active use. |
| `name` | string | Yes | A name associated with the organization. |
| `contained` | Array of object | No | These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope. |
| `contained[].resourceType` | string | Yes | Identifies the type of the resource. Value: Endpoint |
| `contained[].status` | string | Yes | active \| suspended \| error \| off \| test. Possible values: active, suspended, error, off, entered-in-error, test |
| `contained[].connectionType` | object | Yes | A coded value that represents the technical details of the usage of this endpoint, such as what WSDLs should be used in what way. (e.g. XDS.b/DICOM/cds-hook). |
| `contained[].connectionType.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. Value: https://sequoiaproject.org/fhir/sphd/ValueSet/EndpointConnectionType |
| `contained[].connectionType.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[].payloadType` | Array of object | Yes | The payload type describes the acceptable content that can be communicated on the endpoint. |
| `contained[].payloadType[].coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `contained[].payloadType[].coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: any |
| `contained[].payloadType[].coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/endpoint-payload-type |
| `contained[].payloadType[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[].address` | string | Yes | The uri that describes the actual end-point to connect to. |
| `contained[].id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `contained[].identifier` | Array of object | No | Identifier for the organization that is used to identify the endpoint across multiple disparate systems. |
| `contained[].identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `contained[].identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `contained[].identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `contained[].identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[].identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[].identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[].identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `contained[].identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `contained[].identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `contained[].identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[].identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `contained[].identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `contained[].identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `contained[].name` | string | No | A friendly name that this endpoint can be referred to with. |
| `contained[].managingOrganization` | object | No | The organization that manages this endpoint (even if technically another organization is hosting this in the cloud, it is the organization associated with the data). Must be a resource of type `Organization`. |
| `contained[].managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[].payloadMimeType` | Array of string | No | The mime type to send the payload in - e.g. application/fhir+xml, application/fhir+json. If the mime type is not specified, then the sender could send any content (including no content depending on the connectionType). |
| `identifier` | Array of NPI or Other | No | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `identifier[] (Other).id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `identifier[] (Other)._use` | object | No | Extensions for use |
| `identifier[] (Other)._use.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other)._use.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `identifier[] (Other).type.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[] (Other).type.coding[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._system` | object | No | Extensions for system |
| `identifier[] (Other).type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].version` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._version` | object | No | Extensions for version |
| `identifier[] (Other).type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `identifier[] (Other).type.coding[]._code` | object | No | Extensions for code |
| `identifier[] (Other).type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].display` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._display` | object | No | Extensions for display |
| `identifier[] (Other).type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `identifier[] (Other).type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `identifier[] (Other).type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.text` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type._text` | object | No | Extensions for text |
| `identifier[] (Other).type._text.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).system` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._system` | object | No | Extensions for system |
| `identifier[] (Other)._system.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other)._system.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).value` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._value` | object | No | Extensions for value |
| `identifier[] (Other)._value.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other)._value.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).period` | object | No | Time period during which identifier is/was valid for use. |
| `identifier[] (Other).period.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).period.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `identifier[] (Other).period._start` | object | No | Extensions for start |
| `identifier[] (Other).period._start.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `identifier[] (Other).period._end` | object | No | Extensions for end |
| `identifier[] (Other).period._end.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `type` | Array of object | No | The kind(s) of organization that this is. |
| `type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `alias` | Array of string | No | A list of alternate names that the organization is known as, or was known as in the past. |
| `telecom` | Array of object | No | A contact detail for the organization. |
| `telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `address` | Array of object | No | An address for the organization. |
| `address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `contact` | Array of object | No | Contact for the organization for a certain purpose. |
| `contact[].telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the party may be contacted. |
| `contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `endpoint` | Array of object | No | Technical endpoints providing access to services operated for the organization. Must be a resource of type `Endpoint`. |
| `endpoint[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].reference` | string | No | A sequence of Unicode characters |
| `endpoint[]._reference` | object | No | Extensions for reference |
| `endpoint[]._reference.id` | string | No | A sequence of Unicode characters |
| `endpoint[]._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[]._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[]._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].type` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._type` | object | No | Extensions for type |
| `endpoint[]._type.id` | string | No | A sequence of Unicode characters |
| `endpoint[]._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[]._type.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[]._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `endpoint[].identifier.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `endpoint[].identifier._use` | object | No | Extensions for use |
| `endpoint[].identifier._use.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `endpoint[].identifier.type.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `endpoint[].identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[]._system` | object | No | Extensions for system |
| `endpoint[].identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._version` | object | No | Extensions for version |
| `endpoint[].identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `endpoint[].identifier.type.coding[]._code` | object | No | Extensions for code |
| `endpoint[].identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._display` | object | No | Extensions for display |
| `endpoint[].identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `endpoint[].identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `endpoint[].identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.text` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type._text` | object | No | Extensions for text |
| `endpoint[].identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.system` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier._system` | object | No | Extensions for system |
| `endpoint[].identifier._system.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.value` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._value` | object | No | Extensions for value |
| `endpoint[].identifier._value.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `endpoint[].identifier.period.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `endpoint[].identifier.period._start` | object | No | Extensions for start |
| `endpoint[].identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `endpoint[].identifier.period._end` | object | No | Extensions for end |
| `endpoint[].identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].display` | string | No | A sequence of Unicode characters |
| `endpoint[]._display` | object | No | Extensions for display |
| `endpoint[]._display.id` | string | No | A sequence of Unicode characters |
| `endpoint[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Organization' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/fhir+json' \
--data '{
  "resourceType": "Organization",
  "contained": [
    {
      "resourceType": "Endpoint",
      "id": "string",
      "identifier": [
        {
          "extension": [
            {
              "url": "string",
              "valueBoolean": true
            }
          ],
          "use": "usual",
          "system": "string",
          "value": "string"
        }
      ],
      "status": "active",
      "connectionType": {
        "system": "string",
        "code": "string"
      },
      "name": "string",
      "managingOrganization": {
        "reference": "string"
      },
      "payloadType": [
        {
          "coding": [
            {
              "code": "string",
              "system": "string"
            }
          ],
          "text": "string"
        }
      ],
      "payloadMimeType": [
        "string"
      ],
      "address": "string"
    }
  ],
  "identifier": [
    {
      "system": "http://hl7.org/fhir/sid/us-npi",
      "value": "string"
    }
  ],
  "active": true,
  "type": [
    {
      "coding": [
        {
          "system": "string",
          "code": "string"
        }
      ],
      "text": "string"
    }
  ],
  "name": "string",
  "alias": [
    "string"
  ],
  "telecom": [
    {
      "system": "phone",
      "value": "string"
    }
  ],
  "address": [
    {
      "line": [
        "string"
      ],
      "city": "string",
      "state": "string",
      "postalCode": "string",
      "country": "string"
    }
  ],
  "contact": [
    {
      "telecom": [
        {
          "system": "phone",
          "value": "string",
          "use": "home"
        }
      ]
    }
  ],
  "endpoint": [
    {
      "id": "string",
      "extension": [
        {
          "id": "string",
          "url": "string",
          "valueBase64Binary": "string"
        }
      ],
      "reference": "string",
      "_reference": {
        "id": "string",
        "extension": [
          {
            "id": "string",
            "url": "string",
            "valueBase64Binary": "string"
          }
        ]
      },
      "type": "string",
      "_type": {
        "id": "string",
        "extension": [
          {
            "id": "string",
            "url": "string",
            "valueBase64Binary": "string"
          }
        ]
      },
      "identifier": {
        "id": "string",
        "extension": [
          {
            "id": "string",
            "url": "string",
            "valueBase64Binary": "string"
          }
        ],
        "use": "usual",
        "_use": {
          "id": "string",
          "extension": [
            {
              "id": "string",
              "url": "string",
              "valueBase64Binary": "string"
            }
          ]
        },
        "type": {
          "id": "string",
          "extension": [
            {
              "id": "string",
              "url": "string",
              "valueBase64Binary": "string"
            }
          ],
          "coding": [
            {
              "id": "string",
              "extension": [
                {
                  "id": "string",
                  "url": "string",
                  "valueBase64Binary": "string"
                }
              ],
              "system": "string",
              "_system": {
                "id": "string",
                "extension": [
                  {
                    "id": "string",
                    "url": "string",
                    "valueBase64Binary": "string"
                  }
                ]
              },
              "version": "string",
              "_version": {
                "id": "string",
                "extension": [
                  {
                    "id": "string",
                    "url": "string",
                    "valueBase64Binary": "string"
                  }
                ]
              },
              "code": "string",
              "_code": {
                "id": "string",
                "extension": [
                  {
                    "id": "string",
                    "url": "string",
                    "valueBase64Binary": "string"
                  }
                ]
              },
              "display": "string",
              "_display": {
                "id": "string",
                "extension": [
                  {
                    "id": "string",
                    "url": "string",
                    "valueBase64Binary": "string"
                  }
                ]
              },
              "userSelected": true,
              "_userSelected": {
                "id": "string",
                "extension": [
                  {
                    "id": "string",
                    "url": "string",
                    "valueBase64Binary": "string"
                  }
                ]
              }
            }
          ],
          "text": "string",
          "_text": {
            "id": "string",
            "extension": [
              {
                "id": "string",
                "url": "string",
                "valueBase64Binary": "string"
              }
            ]
          }
        },
        "system": "string",
        "_system": {
          "id": "string",
          "extension": [
            {
              "id": "string",
              "url": "string",
              "valueBase64Binary": "string"
            }
          ]
        },
        "value": "string",
        "_value": {
          "id": "string",
          "extension": [
            {
              "id": "string",
              "url": "string",
              "valueBase64Binary": "string"
            }
          ]
        },
        "period": {
          "id": "string",
          "extension": [
            {
              "id": "string",
              "url": "string",
              "valueBase64Binary": "string"
            }
          ],
          "start": "string",
          "_start": {
            "id": "string",
            "extension": [
              {
                "id": "string",
                "url": "string",
                "valueBase64Binary": "string"
              }
            ]
          },
          "end": "string",
          "_end": {
            "id": "string",
            "extension": [
              {
                "id": "string",
                "url": "string",
                "valueBase64Binary": "string"
              }
            ]
          }
        }
      },
      "display": "string",
      "_display": {
        "id": "string",
        "extension": [
          {
            "id": "string",
            "url": "string",
            "valueBase64Binary": "string"
          }
        ]
      }
    }
  ]
}'
```

## Responses

### 201

Create result

Create new Organization

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `active` | boolean | Yes | Whether the organization's record is still in active use. |
| `name` | string | Yes | A name associated with the organization. |
| `contained` | Array of object | No | These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope. |
| `contained[].resourceType` | string | Yes | Identifies the type of the resource. Value: Endpoint |
| `contained[].status` | string | Yes | active \| suspended \| error \| off \| test. Possible values: active, suspended, error, off, entered-in-error, test |
| `contained[].connectionType` | object | Yes | A coded value that represents the technical details of the usage of this endpoint, such as what WSDLs should be used in what way. (e.g. XDS.b/DICOM/cds-hook). |
| `contained[].connectionType.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. Value: https://sequoiaproject.org/fhir/sphd/ValueSet/EndpointConnectionType |
| `contained[].connectionType.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[].payloadType` | Array of object | Yes | The payload type describes the acceptable content that can be communicated on the endpoint. |
| `contained[].payloadType[].coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `contained[].payloadType[].coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: any |
| `contained[].payloadType[].coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/endpoint-payload-type |
| `contained[].payloadType[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[].address` | string | Yes | The uri that describes the actual end-point to connect to. |
| `contained[].id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `contained[].identifier` | Array of object | No | Identifier for the organization that is used to identify the endpoint across multiple disparate systems. |
| `contained[].identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `contained[].identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `contained[].identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `contained[].identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[].identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contained[].identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contained[].identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contained[].identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `contained[].identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `contained[].identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `contained[].identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `contained[].identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `contained[].identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[].identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `contained[].identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `contained[].identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `contained[].name` | string | No | A friendly name that this endpoint can be referred to with. |
| `contained[].managingOrganization` | object | No | The organization that manages this endpoint (even if technically another organization is hosting this in the cloud, it is the organization associated with the data). Must be a resource of type `Organization`. |
| `contained[].managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `contained[].payloadMimeType` | Array of string | No | The mime type to send the payload in - e.g. application/fhir+xml, application/fhir+json. If the mime type is not specified, then the sender could send any content (including no content depending on the connectionType). |
| `identifier` | Array of NPI or Other | No | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `identifier[] (Other).id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `identifier[] (Other)._use` | object | No | Extensions for use |
| `identifier[] (Other)._use.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other)._use.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `identifier[] (Other).type.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[] (Other).type.coding[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._system` | object | No | Extensions for system |
| `identifier[] (Other).type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].version` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._version` | object | No | Extensions for version |
| `identifier[] (Other).type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `identifier[] (Other).type.coding[]._code` | object | No | Extensions for code |
| `identifier[] (Other).type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].display` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._display` | object | No | Extensions for display |
| `identifier[] (Other).type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `identifier[] (Other).type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `identifier[] (Other).type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).type.text` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type._text` | object | No | Extensions for text |
| `identifier[] (Other).type._text.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).system` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._system` | object | No | Extensions for system |
| `identifier[] (Other)._system.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other)._system.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).value` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._value` | object | No | Extensions for value |
| `identifier[] (Other)._value.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other)._value.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other)._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other)._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).period` | object | No | Time period during which identifier is/was valid for use. |
| `identifier[] (Other).period.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).period.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `identifier[] (Other).period._start` | object | No | Extensions for start |
| `identifier[] (Other).period._start.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `identifier[] (Other).period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `identifier[] (Other).period._end` | object | No | Extensions for end |
| `identifier[] (Other).period._end.id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `identifier[] (Other).period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `identifier[] (Other).period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `type` | Array of object | No | The kind(s) of organization that this is. |
| `type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `alias` | Array of string | No | A list of alternate names that the organization is known as, or was known as in the past. |
| `telecom` | Array of object | No | A contact detail for the organization. |
| `telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `address` | Array of object | No | An address for the organization. |
| `address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `contact` | Array of object | No | Contact for the organization for a certain purpose. |
| `contact[].telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the party may be contacted. |
| `contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `endpoint` | Array of object | No | Technical endpoints providing access to services operated for the organization. Must be a resource of type `Endpoint`. |
| `endpoint[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].reference` | string | No | A sequence of Unicode characters |
| `endpoint[]._reference` | object | No | Extensions for reference |
| `endpoint[]._reference.id` | string | No | A sequence of Unicode characters |
| `endpoint[]._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[]._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[]._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].type` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._type` | object | No | Extensions for type |
| `endpoint[]._type.id` | string | No | A sequence of Unicode characters |
| `endpoint[]._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[]._type.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[]._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[]._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `endpoint[].identifier.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `endpoint[].identifier._use` | object | No | Extensions for use |
| `endpoint[].identifier._use.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `endpoint[].identifier.type.id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `endpoint[].identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `endpoint[].identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `endpoint[].identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `endpoint[].identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `endpoint[].identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
[...]
